// Persistence of Vision Ray Tracer Scene Description File
// File: ?.pov
// Vers: 3.1
// Desc: Checkered Floor Example
// Date: mm/dd/yy
// Auth: ?
//

#version 3.1;
#version unofficial MegaPov 0.5;

#include "colors.inc"

global_settings {
  assumed_gamma 1.0
}

// ----------------------------------------
camera {
  location  <0.0, 0.0, -4.0>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.0,  0.0>
}

sky_sphere {
  pigment {
    gradient y
    color_map { 
      [0.0 color blue 0.6] 
      [1.0 color rgb 1] 
    }
  }
}

light_source {
  <-30, 30, -30> // light's position
  color red 1.0  green 1.0  blue 1.0  // light's color
}

// ----------------------------------------
plane {
  y, -1
  texture {
    pigment {
      checker color White color Blue
    }
  }
}

plane {
  z,2
  pigment { 
    marble 
    color_map {
      [0 .9 color rgb 0 color rgb 0]
      [.9 1 color rgb 0 color rgb 1]
    }
    scale .1
    rotate z*90 
  }  
}

height_field {
  pattern 400,400 {
    hf_gray_16
    bozo phase 0.5  // <-- Phase 0 is OK, but it gets progressivly worse as it increases
    color_map {
      [0 rgb 0]
      [1 rgb 1]
    }  
    scale .1
  }
  translate <-.5,0,0>
  scale <3,.3,7>
  pigment { White }
}  